RDKit::FilterMatchOps::And Class Reference

`#include <FilterMatchers.h>`

Inheritance diagram for RDKit::FilterMatchOps::And:

## Public Member Functions

| And ()
| And (const FilterMatcherBase &arg1, const FilterMatcherBase &arg2)
| And (const boost::shared_ptr< FilterMatcherBase > &arg1, const boost::shared_ptr< FilterMatcherBase > &arg2)
| And (const And &rhs)
virtual std::string | getName () const
bool | isValid () const
bool | hasMatch (const ROMol &mol) const
| hasMatches More...
bool | getMatches (const ROMol &mol, std::vector< FilterMatch > &matchVect) const
| getMatches More...
boost::shared_ptr< FilterMatcherBase > | copy () const
| copy More...
Public Member Functions inherited from RDKit::FilterMatcherBase
| FilterMatcherBase (const std::string &name=DEFAULT_FILTERMATCHERBASE_NAME)
| FilterMatcherBase (const FilterMatcherBase &rhs)
virtual | ~FilterMatcherBase ()
virtual boost::shared_ptr< FilterMatcherBase > | Clone () const
| Clone - deprecated. More...

## Detailed Description

Definition at line 50 of file FilterMatchers.h.

## Constructor & Destructor Documentation

## And() [1/4]

RDKit::FilterMatchOps::And::And | ( |  | ) |

inline

Definition at line 56 of file FilterMatchers.h.

## And() [2/4]

RDKit::FilterMatchOps::And::And | ( | const FilterMatcherBase & | arg1,
|  | const FilterMatcherBase & | arg2
| ) |  |

inline

Constructs an Ander True if arg1 and arg2 FilterMatchers are true

Definition at line 61 of file FilterMatchers.h.

## And() [3/4]

RDKit::FilterMatchOps::And::And | ( | const boost::shared_ptr< FilterMatcherBase > & | arg1,
|  | const boost::shared_ptr< FilterMatcherBase > & | arg2
| ) |  |

inline

Definition at line 64 of file FilterMatchers.h.

## And() [4/4]

RDKit::FilterMatchOps::And::And | ( | const And & | rhs | ) |

inline

Definition at line 68 of file FilterMatchers.h.

## Member Function Documentation

## copy()

boost::shared_ptr<FilterMatcherBase> RDKit::FilterMatchOps::And::copy | ( |  | ) | const

inline virtual

copy

Implements RDKit::FilterMatcherBase.

Definition at line 97 of file FilterMatchers.h.

## getMatches()

bool RDKit::FilterMatchOps::And::getMatches | ( | const ROMol & | mol,
|  | std::vector< FilterMatch > & | matchVect
| ) |  | const

inline virtual

getMatches

Match the filter against a molecule

Parameters

  mol | readonly const molecule being searched
  matches | output vector of atom index matches found in the molecule

Implements RDKit::FilterMatcherBase.

Definition at line 86 of file FilterMatchers.h.

References PRECONDITION.

## getName()

virtual std::string RDKit::FilterMatchOps::And::getName | ( |  | ) | const

inline virtual

Reimplemented from RDKit::FilterMatcherBase.

Definition at line 71 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::getName().

## hasMatch()

bool RDKit::FilterMatchOps::And::hasMatch | ( | const ROMol & | mol | ) | const

inline virtual

hasMatches

Does the given molecule contain this filter pattern

Parameters

  mol | readonly const molecule being searched

Implements RDKit::FilterMatcherBase.

Definition at line 80 of file FilterMatchers.h.

References PRECONDITION.

## isValid()

bool RDKit::FilterMatchOps::And::isValid | ( |  | ) | const

inline virtual

Implements RDKit::FilterMatcherBase.

Definition at line 76 of file FilterMatchers.h.

The documentation for this class was generated from the following file:

- FilterMatchers.h